%global _empty_manifest_terminate_build 0
Name:           python-yamllint
Version:        1.35.1
Release:        1
Summary:        A linter for YAML files.
License:        GPLv3
URL:            https://github.com/adrienverge/yamllint
Source0:        https://github.com/adrienverge/yamllint/archive/v%{version}/yamllint-%{version}.tar.gz
BuildArch:      noarch
%description
A linter for YAML files.
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces, indentation, etc.


%package -n python3-yamllint
Summary:        A linter for YAML files.
Provides:       python-yamllint
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pyyaml
BuildRequires:  python3-pathspec
%description -n python3-yamllint
A linter for YAML files.
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces, indentation, etc.


%package help
Summary:        A linter for YAML files.
Provides:       python3-yamllint-doc
%description help
A linter for YAML files.
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces, indentation, etc.


%prep
%autosetup -n yamllint-%{version}

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-yamllint -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Mar 05 2024 wangqiang <wangqiang1@kylinos.cn> - 1.35.1-1
- Update to 1.35.1

* Wed Jan 10 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 1.33.0-1
- Update package to version 1.33.0

* Tue Aug 30 2022 tianlijing <tianlijing@kylinos.cn> - 1.26.3-1
- update to 1.26.3

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 1.23.0-1
- Package Spec generate
